petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoGetConstraintTolerances

Gets constraint tolerance parameters used in TAO convergence tests

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetConstraintTolerances(Tao tao, PetscReal *catol, PetscReal *crtol)

Not ollective

### Input Parameter

tao -the Tao context

### Output Parameter

| catol | - absolute constraint tolerance, constraint norm must be less than catol for used for fatol, gatol convergence criteria
| crtol | - relative contraint tolerance, constraint norm must be less than crtol for used for fatol, gatol, gttol convergence criteria

### See Also

TaoGetTolerances(), TaoSetTolerances(), TaoSetConstraintTolerances()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages